OCF_HEARTBEAT_VMWARE(7)

NAME
ocf_heartbeat_vmware - Manages VMWare Server 2.0 virtual machines

SYNOPSIS

vmware [start | stop | monitor | meta-data]

DESCRIPTION

OCF compliant script to control vmware server 2.0 virtual machines.

SUPPORTED PARAMETERS

vmxpath
    VMX configuration file path

    (required, string, no default)

vimshbin
    vmware-vim-cmd executable path

    (optional, string, default "/usr/bin/vmware-vim-cmd")

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 600s.

stop
    Stops the resource. Suggested minimum timeout: 600s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 30s. Suggested interval: 300s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

EXAMPLE CRM SHELL

The following is an example configuration for a vmware resource using the crm(8) shell:

    primitive p_vmware ocf:heartbeat:vmware \
      params \
        vmxpath=string \
      op monitor timeout="30s" interval="300s" depth="0"

EXAMPLE PCS

The following is an example configuration for a vmware resource using pcs(8)

    pcs resource create p_vmware ocf:heartbeat:vmware \
      vmxpath=string \
      op monitor timeout="30s" interval="300s" depth="0"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)